JSON-RPCMethods
eth_gasPrice: parameters, returns and CU
Return the node's suggested current gas price in wei. See parameters, return value, CU metering and supported chains for this method.
Summary
Return the node's suggested current gas price in wei.
Compute Units (CU) and Pricing
CU per call
10 CU
Price per 1M calls (USD)
$1
Parameters
This method takes no parameters.
Returns
- Type:
QUANTITY - Description: Suggested gas price as a 0x-prefixed hexadecimal quantity in wei.
Notes
It is an estimate of the current market fee and may not map exactly to the EIP-1559 base fee plus priority fee.
Request Example
curl -X POST "https://dev-api.blockvectra.network/v1/robinhood_mainnet" \
-H 'Content-Type: application/json' \
-H 'x-api-key: <api_key>' \
-d '{
"jsonrpc": "2.0",
"method": "eth_gasPrice",
"params": [],
"id": 1
}'Supported Chains
Supported chains:
- EthereumBeta
eth_mainnet - HyperEVM
hyperevm_mainnet - Robinhood Chain
robinhood_mainnet
Related references
eth_chainId: parameters, returns and CU
Return the EIP-155 chain ID of the current network. See parameters, return value, CU metering and supported chains for this method.
eth_maxPriorityFeePerGas: parameters, returns and CU
Return the suggested EIP-1559 priority fee per gas in wei. See parameters, return value, CU metering and supported chains for this method.